Download it now!
Bug 130831 - CRASH when displaying a dialog containing a checkbox
Summary: CRASH when displaying a dialog containing a checkbox
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2020-02-21 08:57 UTC by Jean-Pierre Ledure
Modified: 2020-03-21 11:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple test case (12.00 KB, application/vnd.oasis.opendocument.text)
2020-02-21 09:01 UTC, Jean-Pierre Ledure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Pierre Ledure 2020-02-21 08:57:57 UTC
Description:
Dialogs with a checkbox cause a crash when
- displayed in the IDE with Dialog + Preview Dialog
- checkbox selected at run time

Steps to Reproduce:
Open attached file
1. Open Basic IDE
2. Click on Dialog1 tab
3. Select Dialog + Dialog Preview menu item

Actual Results:
LibreOffice crashed

Expected Results:
Dialog display


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.3
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: kf5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

(Use of OpenGL doesn't make any difference)
Comment 1 Jean-Pierre Ledure 2020-02-21 09:01:49 UTC
Created attachment 158069 [details]
Simple test case
Comment 3 Xisco Faulí 2020-02-21 10:38:55 UTC
I can't reproduce it in

Version: 7.0.0.0.alpha0+
Build ID: d7cab304e7dd22fd12443a1ee3b6a9c463bf9a3d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Xisco Faulí 2020-02-21 10:41:02 UTC
KF5 only ?
@Michael W., can you reproduce it on your end ?
Comment 5 Jan-Marek Glogowski 2020-02-21 12:43:14 UTC
I can reproduce a crash with kf5 but not with gen on current 7.0 master.

I'm wondering about the SIGABRT. Is this some development build?

My backtrace is the same and I already pushed a fix to Gerrit: https://gerrit.libreoffice.org/c/core/+/89203
Comment 6 Julien Nabet 2020-02-21 15:09:36 UTC
On Win10 with master sources updated today + enable-dbgutil, I don't reproduce the crash but noticed these logs:
warn:legacy.osl:13744:18152:basctl/source/basicide/doceventnotifier.cxx:130: DocumentEventNotifier::Impl::notifyEvent: illegal source document!
warn:legacy.osl:13744:18152:basctl/source/basicide/doceventnotifier.cxx:130: DocumentEventNotifier::Impl::notifyEvent: illegal source document!
warn:legacy.osl:13744:18152:basctl/source/basicide/doceventnotifier.cxx:130: DocumentEventNotifier::Impl::notifyEvent: illegal source document!
warn:vcl:13744:18152:vcl/source/outdev/text.cxx:461: ImplGetTextLines: nWidth <= 0!
warn:vcl.opengl:13744:18152:vcl/opengl/win/gdiimpl.cxx:562: Render Target: Window: 1, Bitmap: 0
warn:vcl.opengl:13744:18152:vcl/opengl/win/gdiimpl.cxx:563: Supports OpenGL: 1
warn:vcl:13744:18152:vcl/source/outdev/text.cxx:461: ImplGetTextLines: nWidth <= 0!
warn:vcl:13744:18152:vcl/source/outdev/text.cxx:461: ImplGetTextLines: nWidth <= 0!
warn:legacy.osl:13744:18152:basctl/source/basicide/doceventnotifier.cxx:130: DocumentEventNotifier::Impl::notifyEvent: illegal source document!
warn:legacy.osl:13744:18152:basctl/source/basicide/doceventnotifier.cxx:130: DocumentEventNotifier::Impl::notifyEvent: illegal source document!
warn:legacy.osl:13744:18152:basctl/source/basicide/doceventnotifier.cxx:130: DocumentEventNotifier::Impl::notifyEvent: illegal source document!
Comment 7 Commit Notification 2020-02-21 19:04:44 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/813cde918338bccc4f711230616340cad2c1d4a0

tdf#130831 Qt5 don't blit damage to empty image

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-02-22 09:07:21 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/179322dff3fffa0980cbb246d93dd651e612170f

tdf#130831 Qt5 don't blit damage to empty image

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Jean-Pierre Ledure 2020-03-02 15:30:05 UTC
I confirm that the bug has been fixed in release

Version: 7.0.0.0.alpha0+
Build ID: 2376cc7ce9bd4319f0f011ab13445ceb6817c7f1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-02-26_19:50:32
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Thanks.
Comment 10 Jean-Pierre Ledure 2020-03-21 11:43:37 UTC
I confirm that the bug has been fixed (also) in release

Version: 6.4.2.2
Build ID: 4e471d8c02c9c90f512f7f9ead8875b57fcb1ec3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: kf5; 
Locale: fr-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Thanks.